unit UnitFormMain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.StdCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    StyleBook1: TStyleBook;
    Button1: TButton;
    procedure Panel1Paint(Sender: TObject; Canvas: TCanvas;
      const ARect: TRectF);
    procedure Button1Paint(Sender: TObject; Canvas: TCanvas;
      const ARect: TRectF);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.Button1Paint(Sender: TObject; Canvas: TCanvas;
  const ARect: TRectF);
var
  MyRect: TRectF;
begin
  MyRect := ARect;
  MyRect.Height := MyRect.Height / 2;
  (Sender as TButton).Canvas.BeginScene;
  (Sender as TButton).Canvas.Fill.Color := TAlphaColors.Red;
  (Sender as TButton).Canvas.FillRect (MyRect, 0, 0, [], 1.0);
  (Sender as TButton).Canvas.EndScene
end;

procedure TForm1.Panel1Paint(Sender: TObject; Canvas: TCanvas;
  const ARect: TRectF);
begin
  (Sender as TPanel).Canvas.BeginScene;
  (Sender as TPanel).Canvas.Fill.Color := TAlphaColors.Blue;
  (Sender as TPanel).Canvas.FillRect (ARect, 0, 0, [], 1.0);
  (Sender as TPanel).Canvas.EndScene
end;

end.
