unit UnitFormMain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.Objects,
  FMX.StdCtrls, FMX.Layouts, FMX.Memo;

type
  TFormMain = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    StyleBook1: TStyleBook;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormMain: TFormMain;

implementation

{$R *.fmx}

procedure TFormMain.Button1Click(Sender: TObject);
var
  lRectangle: TRectangle;
begin
  {This only works with vector based styles,
   in a bitmap style you'd need to modify the bitmap...}
  lRectangle := Memo1.FindStyleResource('background') as TRectangle;
  if lRectangle <> nil then
  begin
    lRectangle.Fill.Color := TAlphaColors.Crimson;
  end;
end;

procedure TFormMain.Button2Click(Sender: TObject);
begin
  Memo1.StyleLookup := 'DelphiCo';
end;

end.
